AntiFeatures:
    NonFreeNet:
        en-US: App uses a non-libre service for currency conversion.
Categories:
  - Science & Education
License: GPL-3.0-only
AuthorName: Damiano Ferrari
AuthorEmail: damianoferrari1998@gmail.com
SourceCode: https://github.com/ferraridamiano/ConverterNOW
IssueTracker: https://github.com/ferraridamiano/ConverterNOW/issues
Translation: https://github.com/ferraridamiano/ConverterNOW/blob/master/CONTRIBUTING.md#translating-the-app
Changelog: https://github.com/ferraridamiano/ConverterNOW/releases
Donate: https://www.paypal.com/paypalme/DemApps

AutoName: Converter NOW

RepoType: git
Repo: https://github.com/ferraridamiano/ConverterNOW.git

Builds:
  - versionName: 3.1.3
    versionCode: 35
    commit: 9dd3765fcc3ea9d08bbd238550bf6044b3bca7ae
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.4
    rm:
      - .github
      - linux
      - snap
      - test
      - web
      - windows
      - android/app/proguard-rules.pro
    prebuild: sed -i -e '/minifyEnabled/d' -e '/signingConfig /d' android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 3.2.0
    versionCode: 36
    commit: 115c41f21aeebde8a80e603b7edd3fbe34b7fe03
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - .github
      - linux
      - snap
      - web
      - windows
      - android/app/proguard-rules.pro
    prebuild: sed -i -e '/minifyEnabled/d' -e '/signingConfig /d' android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin/:$PATH
      - flutter config --no-analytics
      - dart pub global activate melos
      - $HOME/.pub-cache/bin/melos bootstrap
      - flutter build apk

  - versionName: 3.2.1
    versionCode: 37
    commit: 2a937394058e6092519cd9efc02985927447b027
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - .github
      - linux
      - snap
      - web
      - windows
      - android/app/proguard-rules.pro
    prebuild: sed -i -e '/minifyEnabled/d' -e '/signingConfig /d' android/app/build.gradle
    build:
      - export PATH=$$flutter$$/bin/:$PATH
      - flutter config --no-analytics
      - dart pub global activate melos
      - $HOME/.pub-cache/bin/melos bootstrap
      - flutter build apk

  - versionName: 4.0.0
    versionCode: 38
    commit: bebd73d3dbdde4218e9d3d9239cb969481cfb52c
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.7.1
    rm:
      - .github
      - linux
      - snap
      - web
      - windows
      - android/app/proguard-rules.pro
    prebuild:
      - sed -i -e '/minifyEnabled/d' -e '/signingConfig /d' android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$PUB_CACHE/bin/:$$flutter$$/bin/:$PATH
      - flutter config --no-analytics
      - dart pub global activate melos
      - dart pub global activate vector_graphics_compiler
      - melos bootstrap
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$PUB_CACHE/bin/:$$flutter$$/bin/:$PATH
      - flutter build apk

  - versionName: 4.0.1
    versionCode: 39
    commit: 6df978d26b568d905448c683d3cdb41ebc4af18c
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.7.1
    rm:
      - .github
      - linux
      - snap
      - web
      - windows
      - android/app/proguard-rules.pro
    prebuild:
      - sed -i -e '/minifyEnabled/d' -e '/signingConfig /d' android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$PUB_CACHE/bin/:$$flutter$$/bin/:$PATH
      - flutter config --no-analytics
      - dart pub global activate melos
      - dart pub global activate vector_graphics_compiler
      - melos bootstrap
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$PUB_CACHE/bin/:$$flutter$$/bin/:$PATH
      - flutter build apk

  - versionName: 4.1.0
    versionCode: 40
    disable: https://github.com/ferraridamiano/ConverterNOW/issues/237
    commit: 585aee1db2b026e24509c169597e69b565b26581
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.13.0
    rm:
      - .github
      - linux
      - snap
      - web
      - windows
    prebuild:
      - sed -i -e '/minifyEnabled/d' -e '/signingConfig /d' android/app/build.gradle
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$PUB_CACHE/bin/:$$flutter$$/bin/:$PATH
      - flutter config --no-analytics
      - dart pub global activate melos
      - dart pub global activate vector_graphics_compiler
      - melos bootstrap
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$PUB_CACHE/bin/:$$flutter$$/bin/:$PATH
      - flutter build apk

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 4.1.0
CurrentVersionCode: 40
